<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::any_function&lt; function_type, typename sig_traits&lt; function_type &gt;::type, DLIB_ANY_FUNCTION_NUM_ARGS &gt;::derived&lt; T, result_type(A1, A2, A3, A4, A5, A6, A7, A8, A9, A10)&gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1any__function_3_01function__type_00_01typename_01sig__traits_3_01function__type_01_f9c4bd80f71d737b8fc355932d3f80c0.html">any_function&lt; function_type, typename sig_traits&lt; function_type &gt;::type, DLIB_ANY_FUNCTION_NUM_ARGS &gt;</a></li><li class="navelem"><a class="el" href="structdlib_1_1any__function_3_01function__type_00_01typename_01sig__traits_3_01function__type_01ceb4714fb7142677e04e7bd38581787b.html">derived&lt; T, result_type(A1, A2, A3, A4, A5, A6, A7, A8, A9, A10)&gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structdlib_1_1any__function_3_01function__type_00_01typename_01sig__traits_3_01function__type_01b950586d8304e6cf9d564810361fd8d8.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::any_function&lt; function_type, typename sig_traits&lt; function_type &gt;::type, DLIB_ANY_FUNCTION_NUM_ARGS &gt;::derived&lt; T, result_type(A1, A2, A3, A4, A5, A6, A7, A8, A9, A10)&gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::any_function&lt; function_type, typename sig_traits&lt; function_type &gt;::type, DLIB_ANY_FUNCTION_NUM_ARGS &gt;::derived&lt; T, result_type(A1, A2, A3, A4, A5, A6, A7, A8, A9, A10)&gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structdlib_1_1any__function_3_01function__type_00_01typename_01sig__traits_3_01function__type_01ceb4714fb7142677e04e7bd38581787b.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aafd407ad0376c6618f10b41316952d28"><td class="memItemLeft" align="right" valign="top"><a id="aafd407ad0376c6618f10b41316952d28"></a>
virtual DLIB_ANY_FUNCTION_DERIVED_BOILERPLATE result_type&#160;</td><td class="memItemRight" valign="bottom"><b>evaluate</b> (A1 a1, A2 a2, A3 a3, A4 a4, A5 a5, A6 a6, A7 a7, A8 a8, A9 a9, A10 a10) const</td></tr>
<tr class="separator:aafd407ad0376c6618f10b41316952d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd407ad0376c6618f10b41316952d28"><td class="memItemLeft" align="right" valign="top"><a id="aafd407ad0376c6618f10b41316952d28"></a>
virtual DLIB_ANY_FUNCTION_DERIVED_BOILERPLATE result_type&#160;</td><td class="memItemRight" valign="bottom"><b>evaluate</b> (A1 a1, A2 a2, A3 a3, A4 a4, A5 a5, A6 a6, A7 a7, A8 a8, A9 a9, A10 a10) const</td></tr>
<tr class="separator:aafd407ad0376c6618f10b41316952d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd407ad0376c6618f10b41316952d28"><td class="memItemLeft" align="right" valign="top"><a id="aafd407ad0376c6618f10b41316952d28"></a>
virtual DLIB_ANY_FUNCTION_DERIVED_BOILERPLATE result_type&#160;</td><td class="memItemRight" valign="bottom"><b>evaluate</b> (A1 a1, A2 a2, A3 a3, A4 a4, A5 a5, A6 a6, A7 a7, A8 a8, A9 a9, A10 a10) const</td></tr>
<tr class="separator:aafd407ad0376c6618f10b41316952d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd407ad0376c6618f10b41316952d28"><td class="memItemLeft" align="right" valign="top"><a id="aafd407ad0376c6618f10b41316952d28"></a>
virtual DLIB_ANY_FUNCTION_DERIVED_BOILERPLATE result_type&#160;</td><td class="memItemRight" valign="bottom"><b>evaluate</b> (A1 a1, A2 a2, A3 a3, A4 a4, A5 a5, A6 a6, A7 a7, A8 a8, A9 a9, A10 a10) const</td></tr>
<tr class="separator:aafd407ad0376c6618f10b41316952d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd407ad0376c6618f10b41316952d28"><td class="memItemLeft" align="right" valign="top"><a id="aafd407ad0376c6618f10b41316952d28"></a>
virtual DLIB_ANY_FUNCTION_DERIVED_BOILERPLATE result_type&#160;</td><td class="memItemRight" valign="bottom"><b>evaluate</b> (A1 a1, A2 a2, A3 a3, A4 a4, A5 a5, A6 a6, A7 a7, A8 a8, A9 a9, A10 a10) const</td></tr>
<tr class="separator:aafd407ad0376c6618f10b41316952d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd407ad0376c6618f10b41316952d28"><td class="memItemLeft" align="right" valign="top"><a id="aafd407ad0376c6618f10b41316952d28"></a>
virtual DLIB_ANY_FUNCTION_DERIVED_BOILERPLATE result_type&#160;</td><td class="memItemRight" valign="bottom"><b>evaluate</b> (A1 a1, A2 a2, A3 a3, A4 a4, A5 a5, A6 a6, A7 a7, A8 a8, A9 a9, A10 a10) const</td></tr>
<tr class="separator:aafd407ad0376c6618f10b41316952d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd407ad0376c6618f10b41316952d28"><td class="memItemLeft" align="right" valign="top"><a id="aafd407ad0376c6618f10b41316952d28"></a>
virtual DLIB_ANY_FUNCTION_DERIVED_BOILERPLATE result_type&#160;</td><td class="memItemRight" valign="bottom"><b>evaluate</b> (A1 a1, A2 a2, A3 a3, A4 a4, A5 a5, A6 a6, A7 a7, A8 a8, A9 a9, A10 a10) const</td></tr>
<tr class="separator:aafd407ad0376c6618f10b41316952d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd407ad0376c6618f10b41316952d28"><td class="memItemLeft" align="right" valign="top"><a id="aafd407ad0376c6618f10b41316952d28"></a>
virtual DLIB_ANY_FUNCTION_DERIVED_BOILERPLATE result_type&#160;</td><td class="memItemRight" valign="bottom"><b>evaluate</b> (A1 a1, A2 a2, A3 a3, A4 a4, A5 a5, A6 a6, A7 a7, A8 a8, A9 a9, A10 a10) const</td></tr>
<tr class="separator:aafd407ad0376c6618f10b41316952d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd407ad0376c6618f10b41316952d28"><td class="memItemLeft" align="right" valign="top"><a id="aafd407ad0376c6618f10b41316952d28"></a>
virtual DLIB_ANY_FUNCTION_DERIVED_BOILERPLATE result_type&#160;</td><td class="memItemRight" valign="bottom"><b>evaluate</b> (A1 a1, A2 a2, A3 a3, A4 a4, A5 a5, A6 a6, A7 a7, A8 a8, A9 a9, A10 a10) const</td></tr>
<tr class="separator:aafd407ad0376c6618f10b41316952d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd407ad0376c6618f10b41316952d28"><td class="memItemLeft" align="right" valign="top"><a id="aafd407ad0376c6618f10b41316952d28"></a>
virtual DLIB_ANY_FUNCTION_DERIVED_BOILERPLATE result_type&#160;</td><td class="memItemRight" valign="bottom"><b>evaluate</b> (A1 a1, A2 a2, A3 a3, A4 a4, A5 a5, A6 a6, A7 a7, A8 a8, A9 a9, A10 a10) const</td></tr>
<tr class="separator:aafd407ad0376c6618f10b41316952d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd407ad0376c6618f10b41316952d28"><td class="memItemLeft" align="right" valign="top"><a id="aafd407ad0376c6618f10b41316952d28"></a>
virtual DLIB_ANY_FUNCTION_DERIVED_BOILERPLATE result_type&#160;</td><td class="memItemRight" valign="bottom"><b>evaluate</b> (A1 a1, A2 a2, A3 a3, A4 a4, A5 a5, A6 a6, A7 a7, A8 a8, A9 a9, A10 a10) const</td></tr>
<tr class="separator:aafd407ad0376c6618f10b41316952d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="any__function_8h_source.html">any_function.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
